Bug 91762 - Inserting table has incorrect row heights
Summary: Inserting table has incorrect row heights
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.0.6 target:5.1.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-05-31 02:23 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-10-06 22:05 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
How it looks in 4.3.6 (31.13 KB, image/png)
2015-06-03 08:51 UTC, Katarina Behrens (Inactive)
Details
How it looks in 5.0 beta1 (40.19 KB, image/png)
2015-06-03 08:52 UTC, Katarina Behrens (Inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-05-31 02:23:33 UTC
Steps:
1) Open Impress
2) Set slide layout to 'Title, Content'
3) Click on the table icon the content textbox
4) Press okay in the insert table dialog
5) Table row heights are quite small

Regression as this doesnt happen in 4.4 daily.

Version: 5.1.0.0.alpha1+
Build ID: be01d68420086fc36ecf26b5f597ba7c6b29b369
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-05-28_00:01:20
Comment 1 Katarina Behrens (Inactive) 2015-06-03 08:51:58 UTC
Created attachment 116251 [details]
How it looks in 4.3.6
Comment 2 Katarina Behrens (Inactive) 2015-06-03 08:52:54 UTC
Created attachment 116252 [details]
How it looks in 5.0 beta1
Comment 3 Katarina Behrens (Inactive) 2015-06-03 08:53:38 UTC
Confirmed on Linux, self-made build :) Correcting component
Comment 4 V Stuart Foote 2015-06-03 14:48:08 UTC
Doesn't seem to be a style issue for an Impress Table, which still defaults to 18pt on insert. Its row heights are just to short to fit any text typed.

From installed builds on hand it happened between 2015-05-10 and 2015-05-15 and this range:

http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=2796bc31e90c87cee10d832a67b1fd9dcab6e51f..9d0c51daea67104349cac26de9839afa8baeb099
Comment 5 Matthew Francis 2015-06-03 14:53:45 UTC
This appears to have begun at the below commit.

Adding Cc: to yogesh.bharate@synerzip.com; Could you possibly take a look at this? Thanks

    commit 4f2c8194f485b1527fb4f4dfe23ce804937f1f9c
    Author:     yogesh.bharate001 <yogesh.bharate@synerzip.com>
    AuthorDate: Fri Mar 20 20:37:52 2015 +0530
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue May 12 09:26:38 2015 +0000
    
        tdf#80340: Table changes format in PPTX format
    
        Problem:
        - If the PPTX contains embedded table i.e copied from excel, when we open it in
        impress it row height increase due to this table format changes.
        - Table contents empty row i.e without text, then row height increase because
        text height is added also added for empty row.
    
        Solution:
        - Added check whether row contents text or not.
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:13:25 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2016-01-21 20:19:17 UTC
Commit submitted to gerrit: https://gerrit.libreoffice.org/#/c/21692/
Comment 8 Commit Notification 2016-01-30 07:42:34 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=13d4398820ded5914f635757865e258db2db2b57

tdf#91762: Check wether the row and the cell have text...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Yousuf Philips (jay) (retired) 2016-02-01 18:30:52 UTC
Looks good. Please backport to 5.1 and possibly 5.0.
Comment 10 Commit Notification 2016-02-03 15:30:23 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7583d19a58f9aa0fed51c248c1773285e2cb39cf&h=libreoffice-5-0

tdf#91762: Check wether the row and the cell have text...

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-02-03 17:07:08 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0649d4a752a1fbdf69c38740ac05c5219609f49&h=libreoffice-5-1

tdf#91762: Check wether the row and the cell have text...

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.